Interconnect Blocks - Update

Updates an Interconnect Block. When updating an Interconnect Block, only tags and sku.capacity may be modified.

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/interconnectBlocks/{interconnectBlockName}?api-version=2026-03-01

URI Parameters

Name In Required Type Description
interconnectBlockName
path True

string

The name of the Interconnect Block.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
sku

Sku

SKU of the resource for which capacity needs to be pre-allocated. Only sku.capacity is mutable; sku.name is immutable.

tags

object

Resource tags

Responses

Name Type Description
200 OK

InterconnectBlock

Azure operation completed successfully.

202 Accepted

Resource update request accepted.

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Update an Interconnect Block.

Sample request

PATCH https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/interconnectBlocks/myInterconnectBlock?api-version=2026-03-01

{
  "tags": {
    "department": "Engineering"
  },
  "sku": {
    "name": "Standard_ND128isr_GB300_v6",
    "capacity": 36
  }
}

Sample response

{
  "name": "myInterconnectBlock",
  "id": "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/interconnectBlocks/myInterconnectBlock",
  "type": "Microsoft.Compute/interconnectBlocks",
  "location": "westus",
  "tags": {
    "department": "Engineering"
  },
  "sku": {
    "name": "Standard_ND128isr_GB300_v6",
    "capacity": 36
  },
  "zones": [
    "1"
  ],
  "properties": {
    "interconnectGroup": {
      "id": "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Network/interconnectGroups/myInterconnectGroup"
    },
    "interconnectBlockId": "{GUID}",
    "provisioningTime": "2026-03-01T01:02:38.3138469+00:00",
    "provisioningState": "Updating",
    "timeCreated": "2026-03-01T01:02:38.3138469+00:00"
  }
}
Location: https://foo.com/operationstatus
Retry-After: 30

Definitions

Name Description
ApiEntityReference

The API entity reference.

ApiError

Api error.

ApiErrorBase

Api error base.

CloudError

An error response from the Compute service.

createdByType

The type of identity that created the resource.

InnerError

Inner error details.

InstanceViewStatus

Instance view status.

InterconnectBlock

Specifies information about the Interconnect Block.

InterconnectBlockInstanceView

The instance view of an Interconnect Block.

InterconnectBlockProperties

Properties of the Interconnect Block.

InterconnectBlockUpdate

Specifies information about the Interconnect Block. Only tags and sku.capacity can be updated.

Placement

Describes the user-defined constraints for resource hardware placement.

Sku

Describes a virtual machine scale set sku. NOTE: If the new VM SKU is not supported on the hardware the scale set is currently on, you need to deallocate the VMs in the scale set before you modify the SKU name.

StatusLevelTypes

The level code.

SubResourceReadOnly
systemData

Metadata pertaining to creation and last modification of the resource.

ZonePlacementPolicyType

Specifies the policy for resource's placement in availability zone. Possible values are: Any (used for Virtual Machines), Auto (used for Virtual Machine Scale Sets) - An availability zone will be automatically picked by system as part of resource creation.

ApiEntityReference

The API entity reference.

Name Type Description
id

string

The ARM resource id in the form of /subscriptions/{SubscriptionId}/resourceGroups/{ResourceGroupName}/...

ApiError

Api error.

Name Type Description
code

string

The error code.

details

ApiErrorBase[]

The Api error details

innererror

InnerError

The Api inner error

message

string

The error message.

target

string

The target of the particular error.

ApiErrorBase

Api error base.

Name Type Description
code

string

The error code.

message

string

The error message.

target

string

The target of the particular error.

CloudError

An error response from the Compute service.

Name Type Description
error

ApiError

Api error.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

InnerError

Inner error details.

Name Type Description
errordetail

string

The internal error message or exception dump.

exceptiontype

string

The exception type.

InstanceViewStatus

Instance view status.

Name Type Description
code

string

The status code.

displayStatus

string

The short localizable label for the status.

level

StatusLevelTypes

The level code.

message

string

The detailed status message, including for alerts and error messages.

time

string (date-time)

The time of the status.

InterconnectBlock

Specifies information about the Interconnect Block.

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

The geo-location where the resource lives

name

string

The name of the resource

placement

Placement

Placement section specifies the user-defined constraints for Interconnect Block hardware placement. This property cannot be changed once Interconnect Block is provisioned.

properties

InterconnectBlockProperties

Properties of the Interconnect Block.

sku

Sku

SKU of the resource for which capacity needs to be pre-allocated. Both sku.name and sku.capacity are required at create. After create, only sku.capacity can be updated.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

zones

string[]

The availability zones.

InterconnectBlockInstanceView

The instance view of an Interconnect Block.

Name Type Description
currentCapacity

integer (int32)

The current capacity allocated for this Interconnect Block.

statuses

InstanceViewStatus[]

The resource status information.

InterconnectBlockProperties

Properties of the Interconnect Block.

Name Type Description
instanceView

InterconnectBlockInstanceView

The Interconnect Block instance view.

interconnectBlockId

string

A unique id (GUID) generated and assigned to the Interconnect Block by the platform which does not change throughout the lifetime of the resource.

interconnectGroup

ApiEntityReference

The Microsoft.Network/interconnectGroups resource that this Interconnect Block is associated with. Required at create and immutable thereafter.

provisioningState

string

The provisioning state, which only appears in the response.

provisioningTime

string (date-time)

The date time when the Interconnect Block was last updated.

timeCreated

string (date-time)

Specifies the time at which the Interconnect Block resource was created.

virtualMachinesAssociated

SubResourceReadOnly[]

A list of all virtual machine resource ids that are associated with the Interconnect Block.

InterconnectBlockUpdate

Specifies information about the Interconnect Block. Only tags and sku.capacity can be updated.

Name Type Description
sku

Sku

SKU of the resource for which capacity needs to be pre-allocated. Only sku.capacity is mutable; sku.name is immutable.

tags

object

Resource tags

Placement

Describes the user-defined constraints for resource hardware placement.

Name Type Description
excludeZones

string[]

This property supplements the 'zonePlacementPolicy' property. If 'zonePlacementPolicy' is set to 'Any'/'Auto', availability zone selected by the system must not be present in the list of availability zones passed with 'excludeZones'. If 'excludeZones' is not provided, all availability zones in region will be considered for selection.

includeZones

string[]

This property supplements the 'zonePlacementPolicy' property. If 'zonePlacementPolicy' is set to 'Any'/'Auto', availability zone selected by the system must be present in the list of availability zones passed with 'includeZones'. If 'includeZones' is not provided, all availability zones in region will be considered for selection.

zonePlacementPolicy

ZonePlacementPolicyType

Specifies the policy for resource's placement in availability zone. Possible values are: Any (used for Virtual Machines), Auto (used for Virtual Machine Scale Sets) - An availability zone will be automatically picked by system as part of resource creation.

Sku

Describes a virtual machine scale set sku. NOTE: If the new VM SKU is not supported on the hardware the scale set is currently on, you need to deallocate the VMs in the scale set before you modify the SKU name.

Name Type Description
capacity

integer (int64)

Specifies the number of virtual machines in the scale set.

name

string

The sku name.

tier

string

Specifies the tier of virtual machines in a scale set.

Possible Values:

Standard

Basic

StatusLevelTypes

The level code.

Value Description
Info
Warning
Error

SubResourceReadOnly

Name Type Description
id

string

Resource Id

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

ZonePlacementPolicyType

Specifies the policy for resource's placement in availability zone. Possible values are: Any (used for Virtual Machines), Auto (used for Virtual Machine Scale Sets) - An availability zone will be automatically picked by system as part of resource creation.

Value Description
Any
Auto

Automatic zone placement in a Virtual Machine Scale Set.